org.apache.maven.scm.command.changelog

## Class ChangeLogSet

- java.lang.Object
- - org.apache.maven.scm.command.changelog.ChangeLogSet

-     public class ChangeLogSet
      extends Object

  Version:
    $Id: ChangeLogSet.java 527432 2007-04-11 09:35:23Z evenisse $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_ENCODING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeLogSet(Date startDate, Date endDate)` Initializes a new instance of this class.
    `ChangeLogSet(List entries, Date startDate, Date endDate)` Initializes a new instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getChangeSets()` Returns the collection of changeSet.
    `Date` | `getEndDate()` Returns the end date for this set.
    `ScmVersion` | `getEndVersion()` Returns the end version (revision/branch/label) for this set.
    `Date` | `getStartDate()` Returns the start date.
    `ScmVersion` | `getStartVersion()` Returns the start version (revision/branch/label) for this set.
    `void` | `setChangeSets(List changeSets)`
    `void` | `setEndVersion(ScmVersion endVersion)`
    `void` | `setStartVersion(ScmVersion startVersion)`
    `String` | `toXML()` Creates an XML representation of this change log set with a default encoding (ISO-8859-1).
    `String` | `toXML(String encoding)` Creates an XML representation of this change log set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ENCODING

          public static final String DEFAULT_ENCODING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ChangeLogSet

          public ChangeLogSet(Date startDate,
                      Date endDate)

      Initializes a new instance of this class.
      Parameters:
        `startDate` - the start date/tag for this set.
        `endDate` - the end date/tag for this set, or `null` if this set goes to the present time.

    - #### ChangeLogSet

          public ChangeLogSet(List entries,
                      Date startDate,
                      Date endDate)

      Initializes a new instance of this class.
      Parameters:
        `entries` - collection of `ChangeSet` objects for this set.
        `startDate` - the start date/tag for this set.
        `endDate` - the end date/tag for this set, or `null` if this set goes to the present time.

  - ### Method Detail

    - #### getStartDate

          public Date getStartDate()

      Returns the start date.
      Returns:
        the start date.

    - #### getEndDate

          public Date getEndDate()

      Returns the end date for this set.
      Returns:
        the end date for this set, or `null` if this set goes to the present time.

    - #### getStartVersion

          public ScmVersion getStartVersion()

      Returns the start version (revision/branch/label) for this set.
      Returns:
        the start version (revision/branch/label) for this set, or `null`.

    - #### setStartVersion

          public void setStartVersion(ScmVersion startVersion)

    - #### getEndVersion

          public ScmVersion getEndVersion()

      Returns the end version (revision/branch/label) for this set.
      Returns:
        the end version (revision/branch/label) for this set, or `null`.

    - #### setEndVersion

          public void setEndVersion(ScmVersion endVersion)

    - #### getChangeSets

          public List getChangeSets()

      Returns the collection of changeSet.
      Returns:
        the collection of `ChangeSet` objects for this set.

    - #### setChangeSets

          public void setChangeSets(List changeSets)

    - #### toXML

          public String toXML()

      Creates an XML representation of this change log set with a default encoding (ISO-8859-1).

    - #### toXML

          public String toXML(String encoding)

      Creates an XML representation of this change log set.

Copyright © 2003–2015. All rights reserved.